#### 7.10.2.8 crystallographicGroupPM

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  crystallographicGroupPM(d); d an integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - pm group with the following presentation
  < x, y, m | [x, y] = m^2 = 1, m^(-1)*x*m = x, m^(-1)*y*m = y^(-1) > - d gives the degreebound for the Letterplace ring

Example:

    LIB "fpalgebras.lib";
    def R = crystallographicGroupPM(5); setring R;
    I;
    ==> I[1]=y*x+x*y+1
    ==> I[2]=y*x+x*y+m*m
    ==> I[3]=m*m+1
    ==> I[4]=m*x*m+x
    ==> I[5]=m*y*m+Y
    ==> I[6]=x*X+1
    ==> I[7]=X*x+1
    ==> I[8]=Y*y+1
    ==> I[9]=y*Y+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.